Skip to main content
POST
/
v1
/
users
/
{userId}
/
resend-activation-link
Resend Activation Link
curl --request POST \
  --url https://localtest.mindbridge.ai/api/v1/users/{userId}/resend-activation-link \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "email": "<string>",
  "role": "ROLE_ADMIN",
  "enabled": true,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "firstName": "<string>",
  "lastName": "<string>",
  "validated": true,
  "serviceAccount": true,
  "recentLogins": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "ipAddress": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

Response

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

email
string
required

The user’s email address.

Minimum string length: 1
Pattern: \s*\S+.*
role
enum<string>
required

The MindBridge role assigned to the user. Learn about user roles

Available options:
ROLE_ADMIN,
ROLE_ORGANIZATION_ADMIN,
ROLE_USER,
ROLE_CLIENT,
ROLE_MINDBRIDGE_SUPPORT,
ROLE_USER_ADMIN
enabled
boolean
required

Indicates whether or not the user is enabled within this tenant.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

firstName
string

The user’s first name.

lastName
string

The user’s last name.

validated
boolean

Indicates whether or not the user has opened the account activation link after being created.

serviceAccount
boolean

Indicates whether or not this account is used as part of an API token.

recentLogins
Login Record · object[]

A list of the latest successful logins or token usage events by IP address.